Loading...
Searching...
No Matches
point.h File Reference

`point` - d-dimensional physical point or vector More...

Go to the source code of this file.

## Classes

struct | point_basic< T >
struct | scalar_traits< T >
| helper for point_basic<T> & tensor_basic<T>: get basic T type More...
struct | scalar_traits< point_basic< T > >
struct | float_traits< point_basic< T > >
struct | is_mpi_datatype< rheolef::point_basic< double > >

## Namespaces

namespace | rheolef
| This file is part of Rheolef.
namespace | boost
namespace | boost::serialization
namespace | boost::mpi

## Macros

#define | def_point_function2(f, F)
#define | def_point_function(f) def_point_function2(f,f)

## Functions

template<class T >
std::istream & | operator>> (std::istream &s, point_basic< T > &p)
template<class T >
std::ostream & | operator<< (std::ostream &s, const point_basic< T > &p)
template<class T , class U >
std::enable_if< details::is_rheolef_arithmetic< U >::value, point_basic< T > >::type | operator* (const U &a, const point_basic< T > &u)
template<class T >
point_basic< T > | vect (const point_basic< T > &v, const point_basic< T > &w)
template<class T >
T | dot (const point_basic< T > &x, const point_basic< T > &y)
template<class T >
T | norm2 (const point_basic< T > &x)
template<class T >
T | norm (const point_basic< T > &x)
template<class T >
T | dist2 (const point_basic< T > &x, const point_basic< T > &y)
template<class T >
T | dist (const point_basic< T > &x, const point_basic< T > &y)
template<class T >
T | dist_infty (const point_basic< T > &x, const point_basic< T > &y)
template<class T >
T | vect2d (const point_basic< T > &v, const point_basic< T > &w)
template<class T >
T | mixt (const point_basic< T > &u, const point_basic< T > &v, const point_basic< T > &w)
template<class T >
int | sign_orient2d (const point_basic< T > &a, const point_basic< T > &b, const point_basic< T > &c)
template<class T >
int | sign_orient3d (const point_basic< T > &a, const point_basic< T > &b, const point_basic< T > &c, const point_basic< T > &d)
template<class T >
T | orient2d (const point_basic< T > &a, const point_basic< T > &b, const point_basic< T > &c)
template<class T >
T | orient3d (const point_basic< T > &a, const point_basic< T > &b, const point_basic< T > &c, const point_basic< T > &d)
template<class T >
std::string | ptos (const point_basic< T > &x, int d=3)
template<class T , size_t d>
bool | lexicographically_less (const point_basic< T > &a, const point_basic< T > &b)
| def_point_function (sqr) def_point_function(sqrt) def_point_function(log) def_point_function(log10) def_point_function(exp) template< class T > bool point_basic< T >
template<class T1 , class T2 >
point_basic< T1 > | operator/ (const T2 &a, const point_basic< T1 > &x)
template<class Archive , class T >
void | serialize (Archive &ar, class rheolef::point_basic< T > &x, const unsigned int version)

## Detailed Description

`point` - d-dimensional physical point or vector

Definition in file point.h.

## Macro Definition Documentation

## def_point_function2

#define def_point_function2 | ( |  | f,
|  |  | F
| ) |  |

Value:
template<class T> \
inline \
point_basic<T> \
f (const point_basic<T>& x) \
{ \
point_basic<T> y; \
for (size_t i = 0; i < 3; i++) \
y[i] = F(x[i]); \
return y; \
}

Definition at line 422 of file point.h.

## def_point_function

#define def_point_function | ( |  | f | ) | def_point_function2(f,f)

Definition at line 434 of file point.h.